Subject: Re: [karp] Requirement 22 of draft-ietf-karp-threats-reqs-04

From: Gregory Lebovitz <[email-masked]>
Date: Thu, 10 May 2012 08:02:49 -0700

The resolution for Brian's comment below is to replace the 2nd paragraph
with the following:

        *If authentication and security mechanisms rely on systems*
*        external to the routing system, then there MUST be one or more
       options available to avoid circular dependencies.
       It is not acceptable to have a routing protocol (e.g., unicast
routing) depend upon correct
       operation of a security protocol that, in turn, depends upon
       correct operation of the same instance of that routing protocol
(i.e., the unicast
       routing).  However, it is okay to
       have operation of a routing protocol (e.g., multicast routing)
depend upon
       operation of a security protocol, which depends upon an independent
       routing protocol (e.g., unicast routing).
       Similarly it would be okay to have the operation of a routing
protocol depend
       upon a security protocol, which in turn uses an out of band
       network to exchange information with remote systems.*
*
*
*This will be placed into the soon to be issued -05.*
*
*
*Gregory (and Manav & Brian)*

On Fri, Apr 6, 2012 at 3:58 PM, Brian Weis <[email-masked]> wrote:

> (Speaking as a WG member.)
>
> A second paragraph was added in this version to Requirement 22. While it's
> a valiant effort to try to give examples where a circular dependency does
> and does not exist, both examples are convoluted. Understanding the nuances
> of the examples, and whether or not in all cases of each example that the
> bad one is bad and the good one is good, is laborious.  Also it's also not
> clear to me that the added MUST is necessary. Wouldn't it be sufficient to
> add this as one reason for the dire warnings already communicated in the
> previous paragraph?
>
> I would suggest removing this paragraph completely, and adding something
> like the following sentence before the last sentence in the previous
> paragraph: "Relying on external systems may result in a circular dependency
> between routing and the security mechanisms such that routing cannot be
> started."
>
> Brian
>
> --
> Brian Weis
> Security Standards and Technology, SRTG, Cisco Systems
> Telephone: +1 408 526 4796
> Email: [email-masked]
>
>
>
>
>
> _______________________________________________
> karp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/karp
>

-- 
----
IETF related email from
Gregory M. Lebovitz